Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.pentaho.di.repository
Class RepositoryMeta

    java.lang.Object
      org.pentaho.di.repository.RepositoryMeta

    public class RepositoryMeta

extends Object

Constructor Summary
`RepositoryMeta()`
`RepositoryMeta(String name, String description, org.pentaho.di.core.database.DatabaseMeta connection)`

Method Summary
`org.pentaho.di.core.database.DatabaseMeta` | `getConnection()`
`String` | `getDescription()`
`String` | `getName()`
`String` | `getXML()`
`boolean` | `isLocked()`
`boolean` | `loadXML(Node repnode, List<org.pentaho.di.core.database.DatabaseMeta> databases)`
`void` | `setConnection(org.pentaho.di.core.database.DatabaseMeta connection)`
`void` | `setDescription(String description)`
`void` | `setLock(boolean lock)`
`void` | `setName(String name)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RepositoryMeta

    public RepositoryMeta(String name,
                          String description,
                          org.pentaho.di.core.database.DatabaseMeta connection)

### RepositoryMeta

    public RepositoryMeta()

Method Detail

### loadXML

    public boolean loadXML(Node repnode,
                           List<org.pentaho.di.core.database.DatabaseMeta> databases)

### setName

    public void setName(String name)

### getName

    public String getName()

### setDescription

    public void setDescription(String description)

### getDescription

    public String getDescription()

### setConnection

    public void setConnection(org.pentaho.di.core.database.DatabaseMeta connection)

### getConnection

    public org.pentaho.di.core.database.DatabaseMeta getConnection()

### isLocked

    public boolean isLocked()

### setLock

    public void setLock(boolean lock)

### getXML

    public String getXML()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD